<?php
namespace AkTest\Gdpr\TableGateway;

use Ak\Gdpr\TableGateway\GdprConsentTable;
use Ak\Test\AbstractTestCase;
use AkTest\Gdpr\TestConfigProvider;

class GdprConsentTableTest extends AbstractTestCase
{
    public $configProviders = [
        TestConfigProvider::class,
    ];

    public function testIsRegistered()
    {
        $container = $this->getContainer();

        $this->assertTrue($container->has('db.table.gdpr'));
        $this->assertInstanceOf(GdprConsentTable::class, $container->get('db.table.gdpr'));
    }
}